Squadcast is now SolarWinds Incident Response
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Services/Routing Rules

Get Routing Rules

get
/v3/services/{serviceID}/routing-rules
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
serviceIDstringRequired
Header parameters
authorizationstringRequired
Responses
200

The request has succeeded.

application/json
get/v3/services/{serviceID}/routing-rules
GET /v3/services/{serviceID}/routing-rules HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
authorization: text
Accept: */*
{
  "data": {
    "rules": [
      {
        "expression": "text",
        "route_to": {
          "entity_type": "user",
          "entity_id": "text"
        },
        "is_basic": true,
        "basic_expression": [
          {
            "lhs": "text",
            "op": "is",
            "rhs": "text"
          }
        ]
      }
    ]
  }
}

Create or Update Routing Rules

post
/v3/services/{serviceID}/routing-rules
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
serviceIDstringRequired
Body
Responses
201

The request has succeeded and a new resource has been created as a result.

application/json
post/v3/services/{serviceID}/routing-rules
POST /v3/services/{serviceID}/routing-rules HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 161

{
  "rules": [
    {
      "expression": "text",
      "route_to": {
        "entity_type": "user",
        "entity_id": "text"
      },
      "is_basic": true,
      "basic_expression": [
        {
          "lhs": "text",
          "op": "is",
          "rhs": "text"
        }
      ]
    }
  ]
}
{
  "data": {
    "rules": [
      {
        "expression": "text",
        "route_to": {
          "entity_type": "user",
          "entity_id": "text"
        },
        "is_basic": true,
        "basic_expression": [
          {
            "lhs": "text",
            "op": "is",
            "rhs": "text"
          }
        ]
      }
    ]
  }
}

Last updated